package com.ar.artraceartpro.data.local.database;

import android.content.Context;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

import com.ar.artraceartpro.MyApplication;
import com.ar.artraceartpro.data.local.dao.ImageDataDao;
import com.ar.artraceartpro.data.local.entity.ImageData;

@Database(entities = {ImageData.class}, version = MyApplication.Database_Version, exportSchema = false)
public abstract class AppDatabase extends RoomDatabase {

    public abstract ImageDataDao imageDataDao();

    private static volatile AppDatabase INSTANCE;

    public static AppDatabase getInstance(Context context) {
        if (INSTANCE == null) {
            synchronized (AppDatabase.class) {
                if (INSTANCE == null) {
                    INSTANCE = Room.databaseBuilder(context.getApplicationContext(),
                                    AppDatabase.class, MyApplication.Database_Name)
                            .build();
                }
            }
        }
        return INSTANCE;
    }
}
